# ERC1155Proxy

## Derives[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/ERC1155Proxy#derives) <a href="#derives" id="derives"></a>

* [ImmutableOwner](/aggregation-protocol/limit-order-protocol/smart-contracts/helpers/immutableowner.md)

## Functions[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/ERC1155Proxy#functions) <a href="#functions" id="functions"></a>

### constructor[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/ERC1155Proxy#constructor) <a href="#constructor" id="constructor"></a>

```javascript
function constructor(
  address _immutableOwner
) public
```

**Parameters:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/ERC1155Proxy#parameters)

| Name              | Type    | Description |
| ----------------- | ------- | ----------- |
| `_immutableOwner` | address |             |

### func\_301JL5R[​](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/ERC1155Proxy#func_301jl5r) <a href="#func_301jl5r" id="func_301jl5r"></a>

```javascript
function func_301JL5R(
  address from,
  address to,
  uint256 amount,
  contract IERC1155 token,
  uint256 tokenId,
  bytes data
) external
```

Proxy transfer method for `IERC1155.safeTransferFrom`. Selector must match `IERC20.transferFrom`

**Parameters:**[**​**](https://docs.1inch.io/docs/limit-order-protocol/smart-contract/helpers/ERC1155Proxy#parameters-1)

| Name      | Type              | Description |
| --------- | ----------------- | ----------- |
| `from`    | address           |             |
| `to`      | address           |             |
| `amount`  | uint256           |             |
| `token`   | contract IERC1155 |             |
| `tokenId` | uint256           |             |
| `data`    | bytes             |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vulpefi.com/aggregation-protocol/limit-order-protocol/smart-contracts/helpers/erc1155proxy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
